cutlass::ComputeOffsetFromStrides< Shape< 1, S_h_, S_w_, 1 > > Struct Template Reference

Compute the offset for the given coordinates in a cube with one channel and a depth of 1. More...

`#include <shape.h>`

## Static Public Member Functions

static CUTLASS_DEVICE int | get (int d, int h, int w, int c)

## Detailed Description

### template<int S_h_, int S_w_>
struct cutlass::ComputeOffsetFromStrides< Shape< 1, S_h_, S_w_, 1 > >

Template Parameters

  S_h | Stride in the H dimension in scalars
  S_w | Stride in the W dimension in scalars

## Member Function Documentation

## get()

template<int S_h_, int S_w_>

static CUTLASS_DEVICE int cutlass::ComputeOffsetFromStrides< Shape< 1, S_h_, S_w_, 1 > >::get | ( | int | d,
|  | int | h,
|  | int | w,
|  | int | c
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- shape.h